using System;
using System.Drawing;
using System.Windows.Forms;
using DevComponents.DotNetBar;
using Transport.BLL;


namespace Transport
{
    public partial class login : Office2007Form
    {
        public login()
        {
            InitializeComponent();
        }

        // متغیر استاتیک برای نگهداری رمز عبور برنامه
        private static string transport_password="";

        // متد دریافت رمز عبور از تنظیمات بانک و قرار دادن در متغیر پسورد
        public void GetPassword()
        {
            System.Data.DataTable settingsDT = bll_settings.Select_App_Settings();

            if (settingsDT.Rows.Count > 0)
            {
                
                transport_password= settingsDT.Rows[0].ItemArray[3].ToString();
              
            }
        }

        // متد لوود فرم
        private void login_Load(object sender, EventArgs e)
        {
            tiny_lock.CheckLock();
            GetPassword();
        }

        // متد دکمه ورود به برنامه - در اصل تصویر ورود به برنامه
        private void pictureBox2_Click(object sender, EventArgs e)
        {
            if (txt_password.Text.Trim()==transport_password)
            {
                this.Hide();
                masterform frm_masterform = new masterform();
                frm_masterform.ShowDialog();
            }
            else
            {
                txt_password.BackColor = Color.Orange;
                txt_password.Text = string.Empty;
            }
            
        }
        
        // متد تصویر یا دکمه ی خروج از برنامه
        private void pictureBox3_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        // متد رویداد کی پرس فرم برای هندل کردن دکمه اینتر و اسکیپ
        private void login_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == 13)
            {
                pictureBox2_Click(this, e);
            }
            if (e.KeyChar == (char)27)
            {
                pictureBox3_Click(this, e);
            }
        }
    }
}
